SymetryML Documentation
Projects

Rename project

Renames the project to `newName`. Fails if the project doesn't exist, or if a project with `newName` already exists for the customer.

GET
/{user}/projects/{project}/rename

Renames the project to newName. Fails if the project doesn't exist, or if a project with newName already exists for the customer.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Query Parameters

newName*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/c1/projects/nbra_prj_iris/rename?newName=string"
{  "statusCode": 200,  "statusString": "OK",  "values": {}}
{  "statusCode": 400,  "statusString": "Cannot find DEM[unknownRtlm] for Customer[c1]",  "values": {}}
{  "statusCode": 401,  "statusString": "Invalid User",  "values": {}}
{  "statusCode": 409,  "statusString": "DEM[myOldName] cannot have same name as existing DEM[myOtherProject] of Customer[c1]",  "values": {}}